@echo off
rem CRYSFIRE - To be copied by CFSETUP to the Windows or DOS directory to act
rem            as launch base for CFMASTER, for running Crysfire 2002, etc
rem
rem R.Shirley, 29Jun02

echo.
echo       **  Crysfire 2002 Interactive Powder-Indexing Support System  **
echo.

rem Establish _CFhome directory (hoping that it's on the PATH)
call CF_home >nul
if (%_CFhome%) == () goto homeless

%_CFhome%\CFCONFRM
if not exist _Y goto endbat
del _Y >nul

rem Try to get data directory path and plant it via script file _CFWHERE.BAT
rem into environment variable _CFwhere, and hence to _CFdata (obviously this
rem won't work if the current drive/dir is not writeable)
%_CFhome%\WHEREAMI >nul
if not exist _CFWHERE.BAT goto echo_text
call _CFWHERE >nul
del _CFWHERE.BAT
set _CFdata=%_CFwhere%
set _CFwhere=

:echo_text
echo.
echo Launching Crysfire 2002
echo   Home directory = %_CFhome%
if not (%_CFdata%) == () echo   Data directory = %_CFdata%
if (%_CFdata%) == () echo   Data directory couldn't be reported (not writeable?)
echo.
if (%_CFdata%) == () goto unwriteable
pause

set _CFdata=

rem Launch Crysfire (passing on any /? or /h parameter)
rem (Don't CALL it, as we won't be coming back, despite the following GOTO!)

%_CFhome%\CFMASTER %1 %2 %3
goto endbat

:homeless
echo.
echo ** Failed to establish the path to Crysfire's home directory,
echo    so can't continue launching this Crysfire run
echo.
echo 1) Please ensure that your Crysfire home directory is undamaged
echo.
echo 2) If you have any doubts about the integrity of the files there,
echo    copy the current Crysfire distribution zipfile into that directory
echo    and expand it, to restore all the files to their correct states
echo.
echo 3) If you are happy with (1) and (2):  From that Crysfire home directory,
echo    run CFsetup in order to re-configure Crysfire for your system.  Check
echo    particularly that the correct path to your Crysfire directory has been
echo    specified.  This should be whatever is the correct pathname for the
echo    Crysfire directory on your system (usually C:\CRYSFIRE)
echo.
pause
echo Note that the Crysfire home directory does *not* now need to be on
echo your execution PATH.  In fact it's safer *not* to have it on the PATH,
echo to make it harder to inadvertently pick up an obsolete or corrupt copy
echo of a Crysfire component.  Similarly, it's recommended that all executables
echo (.EXE programs and .BAT scripts) from previous Crysfire distributions
echo should be deleted from your hard disk.  This doesn't of course apply to
echo your own crystallographic data and output files, which will remain valid
echo.
goto endbat

:unwriteable
echo ** Failed to establish the path to the current directory, which will
echo    normally act as the Crysfire data directory.  This probably means
echo    that it can't currently be written to, perhaps because it is (a) on
echo    read-only media, or (b) write-protected, or (c) has no free space, or
echo    (d) has been locked by the operating system as in use by another program.
echo    It can also be reported if one or more required components are not being
echo    picked up from the Crysfire home directory, or have become corrupted.
echo.
echo Since Crysfire will need to be able to write to its data directory,
echo the launch of this Crysfire run can't continue.  Please fix whatever is
echo causing this problem, or move the data to somewhere writeable and try again
echo.

:endbat

